Discover connector MCP tools
Discover connector MCP tools. See the OpenAPI-defined parameters, request body, and responses below.
GET
/AgentMcpConnection/connectors/{connectorId}/toolsDiscover connector MCP tools. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Conecta ao servidor MCP configurado no conector do tenant e consulta os nomes, descrições e schemas das ferramentas disponíveis. Faz uma chamada ao servidor externo, mas não executa as ferramentas nem as autoriza automaticamente para um agente. Requer ViewConnectors.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
connectorId | path | integer · int32 | Yes | — | — |
Request body
This operation does not accept a request body.
Example request
curl --request GET \
--url 'https://api.zild.ai/AgentMcpConnection/connectors/{connectorId}/tools' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Ferramentas disponíveis no servidor MCP. | application/json · array<McpToolDefinition> |
Example response (200):
[
{
"name": "string",
"description": "string",
"inputSchema": "string"
}
]
Data models
McpToolDefinition
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
name | string | No | — | nullable |
description | string | No | — | nullable |
inputSchema | any | No | — | — |